Subject: Re: bug#70941: 30.0.50; Low RGB color values use the terminal palette in TUI

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 May 2024 18:41:34 +0300

[Please use Reply All to keep the bug tracker on the CC list.]

> From: Gerry Agbobada <[email-masked]>
> Date: Sat, 18 May 2024 15:07:56 +0200
> 
>  Why do you think the first 8 are not right?  list-colors-display does
>  not show the colors in the numerical order, it shows first the
>  standard colors, and then the rest.  This order is unrelated to the
>  issue at hand.
> 
> In the raw lisp code screenshot, I dont expect setting "#000001" as a face color to give me the red color of the
> terminal palette instead of black. If that's the expected outcome of this value, I think there should be a warning
> or an error. And the "#000002" is green instead of black and that's unexpected too, etc. for all 8 first lines of
> that screenshot.

I think the fact that you get the first few colors as you do is
largely a coincidence, and is not necessarily related.

I suggest that you first try the change I pointed out: using #RGB
color specs with 4 hex digits per component, not 2 digits.  If that
doesn't work as you expect, we can take it from there.

> In the list-colors-display screenshot, the first line is "black" and we barely see it because it's not a dark colour,
> this doesn't feel normal either. I don't really have an issue with the order of colors there.

Indeed the order is not the problem.

Why the first color in list-colors-display display is not black for
you, I don't know; but the rest of the colors look okay to me.